# Uses of Class
org.jboss.modules.Version

Packages that use Version
Package
Description
org.jboss.modules
The primary JBoss Modules API.

## Uses of Version in org.jboss.modules

Methods in org.jboss.modules that return Version
Modifier and Type
Method
Description
`static Version`
VersionDetection.`detectVersion(ResourceLoader resourceLoader)`
Attempt to guess the version of a resource loader.
`Version`
ConcreteModuleSpec.`getVersion()`
`Version`
Module.`getVersion()`
Get the module version.
`Version`
ModuleSpec.Builder.`getVersion()`
Get the version for this module specification, or `null` if none was set.
`static Version`
Version.`parse(String v)`
Parses the given string as a version string.
Methods in org.jboss.modules with parameters of type Version
Modifier and Type
Method
Description
`int`
Version.`compareTo(Version that)`
Compares this module version to another module version.
`ModuleSpec.Builder`
ModuleSpec.Builder.`setVersion(Version version)`
Set the version for this module specification, or `null` to set no version for this module.